Product Attribute id
Creates new Product Attribute Value entity in the system
Sample request:
POST /productattributes/2/values
{
"name": "sample_name"
}
Path Parameters
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Product Attribute Value model
EmptyExample
Response
application/json
Response
New Product Attribute Value was created
AttributeValue
Product attribute value model
Attribute Value Id
Attribute Id
Attribute Value Name
Attribute Value List Order
Modified on
Path Parameters
Headers
Body
Gets specific Product Attribute Value by unique id
Gets specific Product Attribute Value by unique id
Path Parameters
Product Attribute id
Example:2
Product Attribute Value id
Example:321
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Product Attribute
AttributeValue
Product attribute value model
Attribute Value Id
Attribute Id
Attribute Value Name
Attribute Value List Order
Modified on
Path Parameters
Headers
Updates Product Attribute Value entity in the system.
Sample request:
PUT /productattributes/2/values/66
{
"name": "sample_name"
}
Path Parameters
Product Attribute id
Product Attribute value id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Product Attribute Value model
EmptyExample
Response
application/json
Response
Product Attribute Value was updated
AttributeValue
Product attribute value model
Attribute Value Id
Attribute Id
Attribute Value Name
Attribute Value List Order
Modified on
Path Parameters
Headers
Body
Gets all Product Attributes, existing in the system
Gets all Product Attributes, existing in the system
Query Parameters
Modified since
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Product Attributes data
Attribute.PagingResponse
Show Child Parameters
Query Parameters
Headers
Gets specific Product Attribute by unique id
Gets specific Product Attribute by unique id
Path Parameters
Product Attribute id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Product Attribute
Attribute
Attribute Id
Attribute Name
Attribute Type